summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2018-09-16 16:53:43 +0100
committerSergei Trofimovich <slyfox@gentoo.org>2018-09-16 17:52:13 +0100
commitce970065ce97dd5e8b303ca639519595d080ef9e (patch)
treef828e3350d3e63b3e46b02d0f18f414e46c41b66
parentpackage.mask: Mask binutils-2.29 (many sec bugs) (diff)
downloadgentoo-ce970065ce97dd5e8b303ca639519595d080ef9e.tar.gz
gentoo-ce970065ce97dd5e8b303ca639519595d080ef9e.tar.bz2
gentoo-ce970065ce97dd5e8b303ca639519595d080ef9e.zip
toolchain.eclass: filter out -fdiagnostics-show-option on gcc-4.0 and older
-fdiagnostics-show-option was added in gcc-4.1.0. Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
-rw-r--r--eclass/toolchain.eclass3
1 files changed, 3 insertions, 0 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 6e859993397c..ef0d7ab1f999 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1508,6 +1508,9 @@ gcc_do_filter_flags() {
filter-flags -f{no-,}stack-protector{,-all}
filter-flags -fvisibility-inlines-hidden -fvisibility=hidden
fi
+ if ! tc_version_is_at_least 4.1 ; then
+ filter-flags -fdiagnostics-show-option
+ fi
if tc_version_is_at_least 3.4 ; then
case $(tc-arch) in